ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Private Attributes | List of all members
security_db_record Class Reference

This class provides security record description for security database. More...

`#include <security_db_record.hh>`

## Public Member Functions
| security_db_record ()
| Default private ctor. More...
| security_db_record (const std::string &p_certificate_id, const std::vector< unsigned char > &p_certificate, const IEEE1609dot2::CertificateBase &p_decoded_certificate, const std::vector< unsigned char > &p_hashed_id_issuer, const std::vector< unsigned char > &p_hashed_id, const std::vector< unsigned char > &p_pr_key, const std::vector< unsigned char > &p_pu_key_x, const std::vector< unsigned char > &p_pu_key_y, const std::vector< unsigned char > &p_pr_enc_key, const std::vector< unsigned char > &p_pu_enc_key_x, const std::vector< unsigned char > &p_pu_enc_key_y, const bool p_to_be_saved=true)
| ~security_db_record ()
| Default private dtor. More...
const IEEE1609dot2::CertificateBase & | decoded_certificate () const
const std::string & | certificate_id () const
const std::vector< unsigned char > & | certificate () const
const std::vector< unsigned char > & | hashed_id () const
const std::vector< unsigned char > & | issuer () const
const std::vector< unsigned char > & | private_key () const
const std::vector< unsigned char > & | public_key_x () const
const std::vector< unsigned char > & | public_key_y () const
const std::vector< unsigned char > & | private_enc_key () const
const std::vector< unsigned char > & | public_enc_key_x () const
const std::vector< unsigned char > & | public_enc_key_y () const

## Private Attributes
ec_elliptic_curves | _algorithm
std::string | _certificate_id
std::vector< unsigned char > | _certificate
std::vector< unsigned char > | _hashed_id_issuer
std::vector< unsigned char > | _hashed_id
std::vector< unsigned char > | _pr_key
std::vector< unsigned char > | _pu_key_x
std::vector< unsigned char > | _pu_key_y
std::vector< unsigned char > | _pr_enc_key
std::vector< unsigned char > | _pu_enc_key_x
std::vector< unsigned char > | _pu_enc_key_y
bool | _to_be_saved
IEEE1609dot2::CertificateBase * | _decoded_certificate

## Detailed Description

This class provides security record description for security database.

## Constructor & Destructor Documentation

## ◆ security_db_record() [1/2]

security_db_record::security_db_record | ( |  | ) |
| inline explicit

Default private ctor.

## ◆ security_db_record() [2/2]

security_db_record::security_db_record | ( | const std::string & | p_certificate_id,
|  | const std::vector< unsigned char > & | p_certificate,
|  | const IEEE1609dot2::CertificateBase & | p_decoded_certificate,
|  | const std::vector< unsigned char > & | p_hashed_id_issuer,
|  | const std::vector< unsigned char > & | p_hashed_id,
|  | const std::vector< unsigned char > & | p_pr_key,
|  | const std::vector< unsigned char > & | p_pu_key_x,
|  | const std::vector< unsigned char > & | p_pu_key_y,
|  | const std::vector< unsigned char > & | p_pr_enc_key,
|  | const std::vector< unsigned char > & | p_pu_enc_key_x,
|  | const std::vector< unsigned char > & | p_pu_enc_key_y,
|  | const bool | p_to_be_saved = `true`
| ) |  |

## ◆ ~security_db_record()

security_db_record::~security_db_record | ( |  | ) |
| inline

Default private dtor.

## Member Function Documentation

## ◆ certificate()

const std::vector<unsigned char>& security_db_record::certificate | ( |  | ) | const
| inline

## ◆ certificate_id()

const std::string& security_db_record::certificate_id | ( |  | ) | const
| inline

## ◆ decoded_certificate()

const IEEE1609dot2::CertificateBase & security_db_record::decoded_certificate | ( |  | ) | const

## ◆ hashed_id()

const std::vector<unsigned char>& security_db_record::hashed_id | ( |  | ) | const
| inline

## ◆ issuer()

const std::vector<unsigned char>& security_db_record::issuer | ( |  | ) | const
| inline

## ◆ private_enc_key()

const std::vector<unsigned char>& security_db_record::private_enc_key | ( |  | ) | const
| inline

## ◆ private_key()

const std::vector<unsigned char>& security_db_record::private_key | ( |  | ) | const
| inline

## ◆ public_enc_key_x()

const std::vector<unsigned char>& security_db_record::public_enc_key_x | ( |  | ) | const
| inline

## ◆ public_enc_key_y()

const std::vector<unsigned char>& security_db_record::public_enc_key_y | ( |  | ) | const
| inline

## ◆ public_key_x()

const std::vector<unsigned char>& security_db_record::public_key_x | ( |  | ) | const
| inline

## ◆ public_key_y()

const std::vector<unsigned char>& security_db_record::public_key_y | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ _algorithm

ec_elliptic_curves security_db_record::_algorithm
| private

## ◆ _certificate

std::vector<unsigned char> security_db_record::_certificate
| private

Certificate storage

## ◆ _certificate_id

std::string security_db_record::_certificate_id
| private

certificate storage

## ◆ _decoded_certificate

IEEE1609dot2::CertificateBase* security_db_record::_decoded_certificate
| private

## ◆ _hashed_id

std::vector<unsigned char> security_db_record::_hashed_id
| private

Certificate hash id 8 storage

## ◆ _hashed_id_issuer

std::vector<unsigned char> security_db_record::_hashed_id_issuer
| private

Certificate hash id 8 storage

## ◆ _pr_enc_key

std::vector<unsigned char> security_db_record::_pr_enc_key
| private

Private encryption key storage

## ◆ _pr_key

std::vector<unsigned char> security_db_record::_pr_key
| private

Private key storage

## ◆ _pu_enc_key_x

std::vector<unsigned char> security_db_record::_pu_enc_key_x
| private

Public encryption key X-coordinate storage

## ◆ _pu_enc_key_y

std::vector<unsigned char> security_db_record::_pu_enc_key_y
| private

Public encryption key Y-coordinate storage

## ◆ _pu_key_x

std::vector<unsigned char> security_db_record::_pu_key_x
| private

Public key X-coordinate storage

## ◆ _pu_key_y

std::vector<unsigned char> security_db_record::_pu_key_y
| private

Public key Y-coordinate storage

## ◆ _to_be_saved

bool security_db_record::_to_be_saved
| private

Flag to indicate if the record shall be saved, i.e. has been modified

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/security_db_record.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/security_db_record.cc